Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginUnit

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginUnit

    public class PluginUnit

extends PluginSBase

This class wraps org.sbml.libsbml.Unit for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginUnit(PluginUnitDefinition parent)` Constructor

Method Summary
`int` | `getExponent()`
`int` | `getKind()`
`java.lang.String` | `getKindString()`
`double` | `getMultiplier()`
`double` | `getOffset()`
`java.lang.String` | `getParentID()`
`PluginUnitDefinition` | `getParentUnitDefinition()`
`int` | `getScale()`
`void` | `setExponent(int exponent)` Sets the exponent of this PluginUnit.
`void` | `setKind(int kind)` Sets the kind of this PluginUnit.
`void` | `setKind(java.lang.String kind)`
`void` | `setMultiplier(double multiplier)` Sets the multiplier of this PluginUnit.
`void` | `setOffset(double offset)` Sets the offset of this PluginUnit.
`void` | `setScale(int scale)` Sets the scale of this PluginUnit

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginUnit

    public PluginUnit(PluginUnitDefinition parent)

  Constructor

  Parameters:
    `parent` - PluginUnitDefinition as the parent of this PluginUnit

Method Detail

### getExponent

    public int getExponent()

  Returns:
    the exponent of this PluginUnit

### setExponent

    public void setExponent(int exponent)

  Sets the exponent of this PluginUnit.

  Parameters:
    `exponent` -

### getKind

    public int getKind()

  Returns:
    the kind of this PluginUnit.

### setKind

    public void setKind(int kind)

  Sets the kind of this PluginUnit.

  Parameters:
    `kind` -

### getKindString

    public java.lang.String getKindString()

### setKind

    public void setKind(java.lang.String kind)

### getMultiplier

    public double getMultiplier()

  Returns:
    the multiplier of this PluginUnit.

### setMultiplier

    public void setMultiplier(double multiplier)

  Sets the multiplier of this PluginUnit.

  Parameters:
    `multiplier` -

### getOffset

    public double getOffset()

  Returns:
    the offset of this PluginUnit

### setOffset

    public void setOffset(double offset)

  Sets the offset of this PluginUnit.

  Parameters:
    `offset` -

### getScale

    public int getScale()

  Returns:
    the scale of this PluginUnit.

### setScale

    public void setScale(int scale)

  Sets the scale of this PluginUnit

  Parameters:
    `scale` -

### getParentID

    public java.lang.String getParentID()

  Returns:
    the ParentID of this PluginUnit.

### getParentUnitDefinition

    public PluginUnitDefinition getParentUnitDefinition()

  Returns:
    the PluginUnitDefinition of this PluginUnit if the ParentSBase is PluginUnitDefinition, null otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD